package com.fjhx.flow.core;

import com.alibaba.fastjson.JSONObject;

import java.util.HashMap;
import java.util.Map;

public abstract class FlowDelegate {

    private final Map<String, String> templateMap = new HashMap<>();

    public void initTemplateMap() {

    }

    public Map<String, String> getTemplateMap() {
        return templateMap;
    }

    /**
     * 开始流程实现类
     *
     * @param flowId 流程id
     * @param data   流程入参
     * @return 业务id
     */
    public abstract Long start(Long flowId, JSONObject data);

    /**
     * 结束流程实现类
     */
    public abstract void end();

}
