package com.fjhx.flow.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum FlowStatus {

    IN_PROGRESS(1, "进行中"),
    HAVE_PASSED(2, "已通过"),
    REJECTED(3, "已驳回"),
    ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, FlowStatus> map = new HashMap<>();

    static {
        for (FlowStatus value : FlowStatus.values()) {
            map.put(value.getKey(), value);
        }
    }

    public static FlowStatus getEnum(Integer key) {
        FlowStatus flowStatus = map.get(key);
        if (flowStatus == null) {
            throw new ServiceException("未知流程状态");
        }
        return flowStatus;
    }

}
